import * as types from './mutation_types';

export default {
  [types.UID](state, uid) {
    state.uid = uid;
  },
  [types.ERROR_STATE](state, errorState) {
    state.errorState = errorState;
  },
  [types.IS_AUTH](state, isAuth) {
    state.isAuth = isAuth;
  },
  [types.MENUS](state, menus) {
    state.menus = menus;
  },
  [types.AVAILABLE_MY_MENUS](state, availableMyMenus) {
    state.availableMyMenus = availableMyMenus;
  },
  [types.MY_MENUS](state, myMenus) {
    state.myMenus = myMenus;
  },
  [types.LOCALE](state, locale) {
    state.locale = locale;
  },
  [types.PARAMS](state, params) {
    state.params = params;
  },
};
